Page MenuHomePhabricator

Add "Spaces", an application for managing policy namespaces
ClosedPublic

Authored by epriestley on May 19 2014, 9:55 PM.

Details

Summary

Ref T3820. This doesn't actually do anything yet, but dumps in all the plumbing.

Test Plan

Diff Detail

Repository
rP Phabricator
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

epriestley updated this revision to Diff 21866.May 19 2014, 9:55 PM
epriestley retitled this revision from to Add "Spaces", an application for managing policy namespaces.
epriestley updated this object.
epriestley edited the test plan for this revision. (Show Details)
epriestley added a reviewer: btrahan.
btrahan accepted this revision.May 19 2014, 11:01 PM
btrahan edited edge metadata.

Macro marioapproved: Plumbing LGTM

This revision is now accepted and ready to land.May 19 2014, 11:01 PM
hwinkel added a subscriber: thz.Jul 17 2014, 6:35 PM
hwinkel added a subscriber: hwinkel.
jdloft added a subscriber: jdloft.Mar 24 2015, 2:00 AM
eadler added a subscriber: eadler.Apr 29 2015, 6:25 AM
epriestley updated this revision to Diff 31628.Jun 1 2015, 6:25 PM
epriestley edited edge metadata.

Modernize, mostly trivial changes:

  • Use modern $COLLATE patches.
  • Use handleRequest().
  • Remove device hint for pages.
  • Use buildTransactionTimeline().
  • Use validateIsEmptyTextField().
  • Fix a weird regex in PHIDType.
  • Use 1 and null more consistently as the available values for TYPE_DEFAULT.
  • Add CONFIG_COLUMN_SCHEMA.
  • Add CONFIG_KEY_SCHEMA.
  • Remove getCapabilityKey() from custom capabilities.
  • Add Application->getName().
  • Implement getApplicationClassName() and getResultTypeDescription() on SearchEngine.
  • Rename PHIDTypeNamespace to NamespacePHIDType.
  • Remove getTypeConstant() from PHIDType.
  • Add getEditorApplicationClass and getEditorObjectsDescription to Editor.
  • Implement PhabricatorApplicationTransactionInterface on Namespace.
  • Picked an icon.

Retested:

  • Ran bin/storage upgrade -f, clean patches + no adjustments.
  • Created a new namespace (it became the default space).
  • Created another namespace (it became a non-default space).
  • Made a few edits.
  • Fiddled with default policies.
  • Tried to create a Space with "can create" set to "no one"; blocked with policy exception.
This revision was automatically updated to reflect the committed changes.